plugins {
    id("com.barrelsofdata.project-conventions")
}

dependencies {
    implementation(libs.bundles.beam.java)
    implementation(libs.beam.jdbc.io)
    implementation(libs.beam.kafka.io)
    implementation(libs.jackson.core)
    implementation(libs.kafka.clients)
    implementation(libs.postgres.driver)

    testImplementation(libs.jupiter)
    testImplementation(libs.jupiter.migration.support) // Apache beam still uses jUnit 4
    testImplementation(libs.h2)
    testImplementation(libs.hamcrest)
    testImplementation(libs.spring.kafka.test)
}