package com.barrelsofdata.examples.beam.streaming.sensor.config;

public enum Steps {
    SOURCE("Source"),
    READ_KAFKA("Read kafka"),
    PARSE("Parse"),
    PARSE_EVENT("Parse events"),
    ATTACH_TIMESTAMP("Attach event timestamps"),
    PROCESS_DATA("Process data"),
    EXTRACT_KEY("Extract key"),
    ADD_WINDOWS("Add windows"),
    COMPUTE_AVERAGE("Compute average"),
    REMOVE_KEY("Remove key"),
    TARGET("Target"),
    JDBC_WRITE("Write to JDBC");

    private final String step;

    private Steps(String step) {
        this.step = step;
    }

    public String getStep() {
        return step;
    }
}
